Subject: bug#61538: closed (Re: bug#61538: Iconifying a frame changes its title)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Sep 2023 21:35:02 +0000

Your bug report

#61538: Iconifying a frame changes its title

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61538: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61538
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61538: Iconifying a frame changes its title
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Jonas Bernoulli <[email-masked]>
Date: Tue, 5 Sep 2023 14:34:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 15 Feb 2023 23:20:52 +0100
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> Is there a knob, that I am not aware of, to control this?
>> >> If not, please consider adding one.
>> >
>> > Isn't this a duplicate of bug#61496, especially the last part of its
>> > discussion?
>>
>> I should have looked at the info manual and the bug tracker more closely
>> before opening this.  I actually saw `icon-title-format', but I jumped
>> to the conclusion that it had something to do with displaying an
>> application icon.
>>
>>      Sorry for the noise!
>
> No sweat.
>
> Would you mind expressing your opinion about the proposals in
> bug#61496, specifically:
>
>   . setting icon-title-format to t would mean "use frame-title-format"
>   . leaving the default as it is in Emacs 29, with t being opt-in
>
> Would you consider the above a good solution for Emacs 29, or do you
> think we must change the default to t?
>
> Thanks.

It seems like this was resolved, so I'm closing this bug.  Please speak
up if this conclusion is wrong, and we can reopen the bug report.

Subject: Iconifying a frame changes its title
From: Jonas Bernoulli <[email-masked]>
To: [email-masked]
Date: Wed, 15 Feb 2023 20:36:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

For the longest time I used "%b" as frame-title-format.  Now that I have
changed it to something more complex, I noticed that it is not respected
for iconified frames.

  (mapcar (lambda (f) (list (frame-visible-p f) (frame-parameter f 'name) f))
          (frame-list))

  ((t "/home/jonas/.config/emacs/custom.el"
      #<frame /home/jonas/.config/emacs/custom.el 0x7d386d8>)
   (icon "init.el" #<frame init.el 0x1a8e850>))

You might be wondering how I even noticed this.

I use a tiling window manager, i3wm.  Usually I arrange windows in
multiple columns, where each column "holds" multiple windows, but
displays only one of them at a time.  At the top of such a column the
titles of all the window that it holds is displayed, followed by the one
window that is actually being displayed.  So while the other windows are
not displayed, their title is still displayed.  i3wm iconifies the
windows that are not being displayed.

Unfortunately that means that Emacs changes the visible titles of the
iconified frames.  So, given "%f" as frame-title-format, I see, e.g.:

  [init.el                              ]   # title of an iconified window
  [/home/jonas/.config/emacs/custom.el  ]   # title of the displayed window
  |(custom-set-variables                |   # the column's displayed window
  |  ...)                               |

instead of

  [/home/jonas/.config/emacs/init.el    ]
  [/home/jonas/.config/emacs/custom.el  ]
  |(custom-set-variables                |
  |  ...)                               |

Is there a knob, that I am not aware of, to control this?
If not, please consider adding one.

     Thanks!
     Jonas